Subject: bug#32230: closed (Re: bug#32230: 27.0.50; GCC 7 warning due to -Wformat-overflow)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Jul 2018 16:27:02 +0000

Your bug report

#32230: 27.0.50; GCC 7 warning due to -Wformat-overflow

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32230: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32230
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32230: 27.0.50; GCC 7 warning due to -Wformat-overflow
From: Ken Brown <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 21 Jul 2018 12:26:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 7/21/2018 8:47 AM, Eli Zaretskii wrote:
> I think it should go to master, thanks.

Done, as commit f3f67cf.  But I forgot to reference the bug number in 
the commit message.  I guess there's no way to fix that, except to edit 
ChangeLog.3.  Sorry.

Ken

Subject: 27.0.50; GCC 7 warning due to -Wformat-overflow
From: Ken Brown <[email-masked]>
To: [email-masked]
Date: Fri, 20 Jul 2018 18:02:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

The Cygwin-w32 build has turned up another GCC 7 warning:

../../master/src/w32term.c: In function ‘x_draw_glyph_string’:
../../master/src/w32term.c:1477:27: warning: ‘__builtin___sprintf_chk’ 
may write a terminating nul past the end of the destination 
[-Wformat-overflow=]
     sprintf ((char *) buf, "%0*X",
                            ^
../../master/src/w32term.c:1477:4: note: ‘__builtin___sprintf_chk’ 
output between 5 and 8 bytes into a destination of size 7
     sprintf ((char *) buf, "%0*X",
     ^
The method that Paul used in bug#32189 could be used here too, but I'm
not sure it's worth the trouble.  My inclination is to just increase the
buffer size from 7 to 8.

Ken